diff options
author | Junio C Hamano <junkio@cox.net> | 2006-04-11 16:35:39 -0700 |
---|---|---|
committer | Junio C Hamano <junkio@cox.net> | 2006-04-11 16:35:39 -0700 |
commit | 5ca64e488fcf4574fd1b52f7d523d9f31fbead4f (patch) | |
tree | a99e514f78d2c092410b5f25dff37eb8c2db7583 /t | |
parent | Solaris 9 also wants our own unsetenv/setenv. (diff) | |
download | tgif-5ca64e488fcf4574fd1b52f7d523d9f31fbead4f.tar.xz |
Retire t5501-old-fetch-and-upload test.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't')
-rwxr-xr-x | t/t5501-old-fetch-and-upload.sh | 48 |
1 files changed, 0 insertions, 48 deletions
diff --git a/t/t5501-old-fetch-and-upload.sh b/t/t5501-old-fetch-and-upload.sh deleted file mode 100755 index 596c88b1c2..0000000000 --- a/t/t5501-old-fetch-and-upload.sh +++ /dev/null @@ -1,48 +0,0 @@ -#!/bin/sh -# -# Copyright (c) 2005 Johannes Schindelin -# - -# Test that the current fetch-pack/upload-pack plays nicely with -# an old counterpart - -cd $(dirname $0) || exit 1 -: ${SHELL_PATH=/bin/sh} - -tmp=`pwd`/.tmp$$ - -retval=0 - -if [ -z "$1" ]; then - list="fetch upload" -else - list="$@" -fi - -for i in $list; do - case "$i" in - fetch) pgm="old-git-fetch-pack"; replace="$pgm";; - upload) pgm="old-git-upload-pack"; replace="git-fetch-pack --exec=$pgm";; - both) pgm="old-git-upload-pack"; replace="old-git-fetch-pack --exec=$pgm";; - esac - - if where=`LANG=C LC_ALL=C which "$pgm" 2>/dev/null` && - case "$where" in - "no "*) (exit 1) ;; - esac - then - echo "Testing with $pgm" - sed -e "s/git-fetch-pack/$replace/g" \ - -e "s/# old fails/warn/" < t5500-fetch-pack.sh > $tmp - - "$SHELL_PATH" "$tmp" || retval=$? - rm -f "$tmp" - - test $retval != 0 && exit $retval - else - echo "Skipping test for $i, since I cannot find $pgm" - fi -done - -exit 0 - |